Name:           libsvg-cairo
Version:        0.1.6
Release:        4%{?dist}
Summary:        Renders SVG content using cairo
Group:          System Environment/Libraries
License:        LGPL
URL:            http://cairographics.org/libsvg-cairo
Source:         http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libsvg-devel, cairo-devel, pkgconfig

%description
libsvg-cairo provides the ability to render SVG content from files or
buffers.  All rendering is performed using the cairo rendering library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libsvg-devel, cairo-devel, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
chmod -x AUTHORS ChangeLog COPYING NEWS README

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libsvg-cairo.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/svg-cairo.h
%{_libdir}/libsvg-cairo.so
%{_libdir}/pkgconfig/libsvg-cairo.pc

%changelog
* Fri Sep 15 2006 Eric Work <work.eric@gmail.com> 0.1.6-4
- bumped version to prepare for FC6

* Thu Jun 08 2006 Eric Work <work.eric@gmail.com> 0.1.6-2
- added missing buildrequires
- added missing requires on devel package

* Wed May 31 2006 Eric Work <work.eric@gmail.com> 0.1.6-1
- initial release

